<!-- Copyright 2020 The Chromium Authors. All rights reserved.
     Use of this source code is governed by a BSD-style license that can be
     found in the LICENSE file. -->

<link rel="import" href="/components/oobe_dialog.html">
<link rel="import" href="/components/oobe_i18n_behavior.html">

<dom-module id="tpm-error-message-element">
  <template>
    <style include="oobe-dialog-host">
      oobe-dialog > iron-icon.warning {
        --iron-icon-fill-color: rgb(219, 68, 55);
      }
    </style>
    <oobe-dialog id="errorDialog" role="dialog" has-buttons
        title-key="errorTpmFailureTitle" subtitle-key="errorTpmFailureReboot">
      <iron-icon slot="oobe-icon" icon="cr:warning" class="warning">
      </iron-icon>
      <div slot="bottom-buttons" class="layout horizontal end-justified">
        <oobe-text-button id="restartButton" inverse
            text-key="errorTpmFailureRebootButton" on-click="onRestartTap_">
        </oobe-text-button>
      </div>
    </oobe-dialog>
  </template>
</dom-module>
